summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/include/0009dir_nodir_1
diff options
context:
space:
mode:
authorIsmo Puustinen <ismo.puustinen@intel.com>2017-06-06 14:50:10 +0300
committerPablo Neira Ayuso <pablo@netfilter.org>2017-06-06 17:55:40 +0200
commit1eccbfaae7d5339a8370d0bbd0a36516dda72356 (patch)
treebd9d527ee32a4af486b7b31a45890b9bd01d61b5 /tests/shell/testcases/include/0009dir_nodir_1
parent9aa3d6d29efe5291ff91df6976d3bda38da848d5 (diff)
tests: test include directories
Add tests for: * including an empty directory * including directory with one or two files in it * testing for required trailing slash in directory name * testing for detecting non-existent directory * testing for a broken file in included directory Signed-off-by: Ismo Puustinen <ismo.puustinen@intel.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/include/0009dir_nodir_1')
-rwxr-xr-xtests/shell/testcases/include/0009dir_nodir_131
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/shell/testcases/include/0009dir_nodir_1 b/tests/shell/testcases/include/0009dir_nodir_1
new file mode 100755
index 00000000..d7407f45
--- /dev/null
+++ b/tests/shell/testcases/include/0009dir_nodir_1
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+set -e
+
+tmpdir=$(mktemp -d)
+if [ ! -d $tmpdir ] ; then
+ echo "Failed to create tmp directory" >&2
+ exit 0
+fi
+
+# remove the directory
+rmdir $tmpdir
+
+tmpfile1=$(mktemp)
+if [ ! -w $tmpfile1 ] ; then
+ echo "Failed to create tmp file" >&2
+ exit 0
+fi
+
+# cleanup if aborted
+trap "rm -rf $tmpfile1" EXIT
+
+RULESET1="include \"$tmpdir/\""
+
+echo "$RULESET1" > $tmpfile1
+
+$NFT -f $tmpfile1
+if [ $? -eq 0 ] ; then
+ echo "E: Failed to catch a missing include directory/file" >&2
+ exit 1
+fi